<?php

/**

 * Functions for the front-end

 * @package ABG

 * @subpackage Init

 */



/**

 * Generates the "Powered By" link

 * @since 1.0

 */

function abg_powered_by() {

	if(ALERTPAY_POWERED_BY_LINK) {

		echo '<div style="width:500px; padding:0px 28px 20px 28px; float:left; text-align:center;"><small>AlertPay Buttons Powered By <a href="'.POWERED_BY_LINK_URL.'">'.POWERED_BY_LINK_TEXT.'</a></small></div><br />';

	}

}



/**

 * Creates the Buy Now Button

 * @param array $atts the attributes from the shortcode

 * @since 1.0

 */

function abg_buy_now_shortcode($atts) {

	extract(shortcode_atts(array(

		'email' => get_option('ABG_alertpay_email'),

		'product' => get_option('ABG_default_title'),

		'price' => '0.01',

		'button_image' => get_option('ABG_buy_now_button'),

		'thank_you_page' => get_option('ABG_thank_you_page'),

		'cancel_page' => get_option('ABG_cancel_page'),

		'custom_thank_you' => false

	), $atts));

	

	$img = WP_CONTENT_URL . '/plugins/' . ABG_SLUG . '/lib/img/' . $button_image . '.gif';

	if(!$custom_thank_you) {

		$thanks = get_permalink($thank_you_page);

	}

	else {

		$thanks = $custom_thank_you;

	}

	$cancel = get_permalink($cancel_page);

	

	$buy_now = <<<BUYNOW

	<form action="https://www.alertpay.com/PayProcess.aspx" method="post" target="_blank">

<input type="hidden" name="ap_merchant" value="$email">

<input type="hidden" name="ap_purchasetype" value="item">

<input type="hidden" name="ap_itemname" value="$product">

<input type="hidden" name="ap_amount" value="$price">

<input type="hidden" name="ap_currency" value="USD">

<input type="hidden" name="ap_returnurl" value="$thanks">

<input type="hidden" name="ap_cancelurl" value="$cancel">

<input type="image" src="$img" border="0" name="submit" alt="AlertPay - My Way To Pay">

</form>

	

BUYNOW;



	return $buy_now;

	

}



/**

 * Creates the Susbscribe Button

 * @param array $atts the attributes from the shortcode

 * @since 1.0

 */

function ABG_subscribe_shortcode($atts) {

	extract(shortcode_atts(array(

		'email' => get_option('ABG_alertpay_email'),

		'product' => get_option('ABG_default_title'),

		'price' => '0.01',

		'prices' => '0.01',

		'period1' => '1',

		'p1type' => 'Month',

		'period3' => '1',

		'p3type' => 'Month',

		'button_image' => get_option('ABG_subscribe_button'),

		'thank_you_page' => get_option('ABG_thank_you_page'),

		'cancel_page' => get_option('ABG_cancel_page'),

		'custom_thank_you' => false

	), $atts));

	

	$img = WP_CONTENT_URL . '/plugins/' . ABG_SLUG . '/lib/img/' . $button_image . '.gif';

	if(!$custom_thank_you) {

		$thanks = get_permalink($thank_you_page);

	}

	else {

		$thanks = $custom_thank_you;

	}

	$cancel = get_permalink($cancel_page);

	

	$subscribe = <<<SUBSCRIBE

	<form action="https://www.alertpay.com/PayProcess.aspx" method="post" target="_blank">

<input type="hidden" name="ap_merchant" value="$email">

<input type="hidden" name="ap_purchasetype" value="subscription">

<input type="hidden" name="ap_itemname" value="$product">

<input type="hidden" name="ap_amount" value="$prices">

<input type="hidden" name="ap_currency" value="USD">

<input type="hidden" name="ap_trialamount" value="$price">

<input type="hidden" name="ap_trialperiodlength" value="$period1">

<input type="hidden" name="ap_trialtimeunit" value="$p1type">

<input type="hidden" name="ap_periodlength" value="$period3">

<input type="hidden" name="ap_periodcount" value="0">

<input type="hidden" name="ap_timeunit" value="$p3type">

<input type="hidden" name="ap_returnurl" value="$thanks">

<input type="hidden" name="ap_cancelurl" value="$cancel">

<input type="image" src="$img" border="0" name="submit" alt="AlertPay - My Way To Pay">

</form>

	

SUBSCRIBE;



	return $subscribe;

	

}





/**

 * Creates the Donate button

 * @param array $atts the attributes from the shortcode

 * @since 1.0

 */

function ABG_donate_shortcode($atts) {

	extract(shortcode_atts(array(

		'email' => get_option('ABG_alertpay_email'),

		'description' => get_option('PBG_donate_description'),

		'price' => '1.00',

		'button_image' => get_option('ABG_donate_button'),

		'thank_you_page' => get_option('ABG_thank_you_page'),

		'cancel_page' => get_option('ABG_cancel_page'),

		'custom_thank_you' => false

	), $atts));

	

	$img = WP_CONTENT_URL . '/plugins/' . ABG_SLUG . '/lib/img/' . $button_image . '.gif';

	

	if(!$custom_thank_you) {

		$thanks = get_permalink($thank_you_page);

	}

	else {

		$thanks = $custom_thank_you;

	}

	

	$cancel = get_permalink($cancel_page);

	

	$donate = <<<DONATE

	<form action="https://www.alertpay.com/PayProcess.aspx" method="post" target="_blank">

<input type="hidden" name="ap_merchant" value="$email">

<input type="hidden" name="ap_purchasetype" value="item">

<input type="hidden" name="ap_itemname" value="$description">

<input type="text" name="ap_amount" value="$price">

<input type="hidden" name="ap_currency" value="USD">

<input type="hidden" name="ap_returnurl" value="$thanks">

<input type="hidden" name="ap_cancelurl" value="$cancel">

<input type="image" src="$img" border="0" name="submit" alt="AlertPay - My Way To Pay">

</form>

	

DONATE;



	return $donate;

}





?>